Bug 1079732 (perl-Catalyst-Plugin-CustomErrorMessage) - Review Request: perl-Catalyst-Plugin-CustomErrorMessage - Catalyst plugin to have more cute error message
Summary: Review Request: perl-Catalyst-Plugin-CustomErrorMessage - Catalyst plugin to ...
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-Catalyst-Plugin-CustomErrorMessage
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-23 14:53 UTC by Sven Nierlein
Modified: 2014-06-05 19:02 UTC (History)
3 users (show)

Fixed In Version: 0.06-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 19:02:51 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-23 14:53:26 UTC
Spec URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-CustomErrorMessage.spec
SRPM URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-CustomErrorMessage-0.06-1.fc21.src.rpm
Description: 
Catalyst::Plugin::CustomErrorMessage is a Catalyst Plugin that provides
more cute error message.
Fedora Account System Username: sni

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6664977

This is my first review request, so i am asking hereby for a sponsor. 

This perl module is required to proceed in #1069988

Related review request: #1079718

Comment 1 Sven Nierlein 2014-04-06 10:37:24 UTC
Updated spec file according to comments from the related bugs and
uploaded new files here:

http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-CustomErrorMessage.spec
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-CustomErrorMessage-0.06-1.fc21.noarch.rpm

Comment 3 Sven Nierlein 2014-04-21 13:51:34 UTC
new spec file:
http://nierlein.com/fedora/2014-04-21/perl-Catalyst-Plugin-CustomErrorMessage.spec

the only thing i changed is the release number.

Comment 4 Ralf Corsepius 2014-04-24 23:58:23 UTC
Missing [MUSTFIX]: 
Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Comment 5 David Dick 2014-05-20 10:03:07 UTC
Taking this one

Comment 6 David Dick 2014-05-20 11:55:20 UTC
Hi Sven,

The following patch file (and comments) shows work to do on this spec file

--- perl-Catalyst-Plugin-CustomErrorMessage.old 2014-04-21 23:42:28.000000000 +1000
+++ perl-Catalyst-Plugin-CustomErrorMessage.proposed    2014-05-20 21:40:53.844909346 +1000
@@ -8,6 +8,8 @@
 Source0:        http://search.cpan.org/CPAN/authors/id/J/JK/JKUTEJ/Catalyst-Plugin-CustomErrorMessage-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl
+BuildRequires:  perl(base) 
+BuildRequires:  perl(English)
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(Carp::Clan)
@@ -15,7 +17,14 @@
 BuildRequires:  perl(Class::Data::Inheritable)
 BuildRequires:  perl(HTML::Entities)
 BuildRequires:  perl(MRO::Compat)
+BuildRequires:  perl(Pod::Coverage)
+BuildRequires:  perl(strict)
+BuildRequires:  perl(Test::Distribution)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
 BuildRequires:  perl(URI::Escape)
+BuildRequires:  perl(warnings)
+Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description
 Catalyst::Plugin::CustomErrorMessage is a Catalyst Plugin that provides
@@ -39,8 +48,7 @@
 %files
 %{perl_vendorlib}/*
 %{_mandir}/man3/*
-%doc Changes
-%doc README
+%doc Changes README
 
 %changelog
 * Sun Apr 06 2014 Sven Nierlein <sven.nierlein@consol.de> 0.06-2

Justifications follow

MUST FIX;

perl(base) is required at line 36 of lib/Catalyst/Plugin/CustomErrorMessage.pm
perl(English) is required at line 9 of t/01-Catalyst-Plugin-CustomErrorMessage.t
perl(Pod::Coverage) is required in t/pod-coverage.t
perl(strict) is required at line 42 of lib/Catalyst/Plugin/CustomErrorMessage.pm
perl(Test::Distribution) is required at line 3 of t/00-distribution.t
perl(Test::Pod) is required at line 9 of t/pod.t
perl(Test::Pod::Coverage) is required at line 7 of t/pod-coverage.t
perl(warnings) is required at line 43 of lib/Catalyst/Plugin/CustomErrorMessage.pm

OPTIONAL;

The multiple %doc lines can safely be rolled into one line.

Comment 8 David Dick 2014-05-20 20:17:08 UTC
Review results

License ok.

Build/Requires ok

no rpmlint warnings/errors

pure perl library

successful koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=6868337

Package APPROVED

Comment 9 Sven Nierlein 2014-05-24 20:45:45 UTC
New Package SCM Request
=======================
Package Name: perl-Catalyst-Plugin-CustomErrorMessage
Short Description: Catalyst plugin to have more cute error message
Owners: sni
Branches: f21
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2014-05-27 12:51:03 UTC
Git done (by process-git-requests).

Comment 11 David Dick 2014-06-04 11:38:58 UTC
Hi Sven,

Just a ping for the git work on this package.

Comment 12 Sven Nierlein 2014-06-05 19:02:51 UTC
build and upload done


Note You need to log in before you can comment on or make changes to this bug.